Summary:        Wayland Compositor Infrastructure
Name:           wayland
Version:        1.22.0
Release:        4%{?dist}

License:        MIT
URL:            http://wayland.freedesktop.org/
Source0:        https://gitlab.freedesktop.org/%{name}/%{name}/-/releases/%{version}/downloads/%{name}-%{version}.tar.xz

BuildRequires:  gcc gcc-c++ meson
BuildRequires:  expat-devel libxml2-devel
BuildRequires:  graphviz libxslt
BuildRequires:  pkgconfig(libffi)
BuildRequires:  doxygen xmlto

%description
Wayland is intended as a simpler replacement for X, easier to develop
and maintain. GNOME and KDE are expected to be ported to it.

%package        devel
Summary:        Development files for %{name}
Requires:       libwayland-client = %{version}-%{release}
Requires:       libwayland-cursor = %{version}-%{release}
Requires:       libwayland-egl = %{version}-%{release}
Requires:       libwayland-server = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing

%package -n libwayland-client
Summary: Wayland client library
%description -n libwayland-client
Wayland client library

%package -n libwayland-cursor
Summary: Wayland cursor library
%description -n libwayland-cursor
Wayland cursor library

%package -n libwayland-egl
Summary: Wayland egl library
%description -n libwayland-egl
Wayland egl library

%package -n libwayland-server
Summary: Wayland server library
%description -n libwayland-server
Wayland server library

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install
rm -rf %{buildroot}/%{_datadir}/doc/wayland/

%check
%meson_test

%files devel
%{_bindir}/wayland-scanner
%{_includedir}/wayland-*.h
%{_libdir}/pkgconfig/wayland-*.pc
%{_libdir}/libwayland-*.so
%{_datadir}/aclocal/wayland-scanner.m4
%dir %{_datadir}/wayland
%{_datadir}/wayland/wayland-scanner.mk
%{_datadir}/wayland/wayland.xml
%{_datadir}/wayland/wayland.dtd
%{_mandir}/man3/*.3*

%files -n libwayland-client
%license COPYING
%{_libdir}/libwayland-client.so.0*

%files -n libwayland-cursor
%license COPYING
%{_libdir}/libwayland-cursor.so.0*

%files -n libwayland-egl
%license COPYING
%{_libdir}/libwayland-egl.so.1*

%files -n libwayland-server
%license COPYING
%{_libdir}/libwayland-server.so.0*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.22.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.22.0-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.22.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Jul 28 2023 Shuo Wang <abushwang@tencent.com> - 1.22.0-1
- update to 1.22.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Sep 21 2022 Shuo Wang <abushwang@tencent.com> - 1.21.0-1
- initial build
